Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element.text
Class OdfBibliographyMarkElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.text.OdfBibliographyMarkElement

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfBibliographyMark

    public abstract class OdfBibliographyMarkElement

extends OdfElement

DOM implementation of OpenDocument element text:bibliography-mark.

See Also:
  Serialized Form

Field Summary
`static OdfName` | `ELEMENT_NAME`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfBibliographyMarkElement(OdfFileDom aOwnerDoc)` Create the instance of OdfBibliographyMarkElement

Method Summary
`String` | `getAddress()` Get value of attribute text:address.
`String` | `getAnnote()` Get value of attribute text:annote.
`String` | `getAuthor()` Get value of attribute text:author.
`OdfBibliographyType` | `getBibliographyType()` Get value of attribute text:bibliography-type.
`String` | `getBooktitle()` Get value of attribute text:booktitle.
`String` | `getChapter()` Get value of attribute text:chapter.
`String` | `getCustom1()` Get value of attribute text:custom1.
`String` | `getCustom2()` Get value of attribute text:custom2.
`String` | `getCustom3()` Get value of attribute text:custom3.
`String` | `getCustom4()` Get value of attribute text:custom4.
`String` | `getCustom5()` Get value of attribute text:custom5.
`String` | `getEdition()` Get value of attribute text:edition.
`String` | `getEditor()` Get value of attribute text:editor.
`String` | `getHowpublished()` Get value of attribute text:howpublished.
`String` | `getIdentifier()` Get value of attribute text:identifier.
`String` | `getInstitution()` Get value of attribute text:institution.
`String` | `getIsbn()` Get value of attribute text:isbn.
`String` | `getIssn()` Get value of attribute text:issn.
`String` | `getJournal()` Get value of attribute text:journal.
`String` | `getMonth()` Get value of attribute text:month.
`String` | `getNote()` Get value of attribute text:note.
`String` | `getNumber()` Get value of attribute text:number.
`OdfName` | `getOdfName()` Get the element name
`String` | `getOrganizations()` Get value of attribute text:organizations.
`String` | `getPages()` Get value of attribute text:pages.
`String` | `getPublisher()` Get value of attribute text:publisher.
`String` | `getReportType()` Get value of attribute text:report-type.
`String` | `getSchool()` Get value of attribute text:school.
`String` | `getSeries()` Get value of attribute text:series.
`String` | `getTitle()` Get value of attribute text:title.
`String` | `getUrl()` Get value of attribute text:url.
`String` | `getVolume()` Get value of attribute text:volume.
`String` | `getYear()` Get value of attribute text:year.
`void` | `init(OdfBibliographyType bibliographyType, String identifier, String address, String annote, String author, String booktitle, String chapter, String edition, String editor, String howpublished, String institution, String journal, String month, String note, String number, String organizations, String pages, String publisher, String school, String series, String title, String reportType, String volume, String year, String url, String custom1, String custom2, String custom3, String custom4, String custom5, String isbn, String issn)` Initialization of the mandatory attributes of `OdfBibliographyMarkElement`
`void` | `setAddress(String address)` Set value of attribute text:address.
`void` | `setAnnote(String annote)` Set value of attribute text:annote.
`void` | `setAuthor(String author)` Set value of attribute text:author.
`void` | `setBibliographyType(OdfBibliographyType bibliographyType)` Set value of attribute text:bibliography-type.
`void` | `setBooktitle(String booktitle)` Set value of attribute text:booktitle.
`void` | `setChapter(String chapter)` Set value of attribute text:chapter.
`void` | `setCustom1(String custom1)` Set value of attribute text:custom1.
`void` | `setCustom2(String custom2)` Set value of attribute text:custom2.
`void` | `setCustom3(String custom3)` Set value of attribute text:custom3.
`void` | `setCustom4(String custom4)` Set value of attribute text:custom4.
`void` | `setCustom5(String custom5)` Set value of attribute text:custom5.
`void` | `setEdition(String edition)` Set value of attribute text:edition.
`void` | `setEditor(String editor)` Set value of attribute text:editor.
`void` | `setHowpublished(String howpublished)` Set value of attribute text:howpublished.
`void` | `setIdentifier(String identifier)` Set value of attribute text:identifier.
`void` | `setInstitution(String institution)` Set value of attribute text:institution.
`void` | `setIsbn(String isbn)` Set value of attribute text:isbn.
`void` | `setIssn(String issn)` Set value of attribute text:issn.
`void` | `setJournal(String journal)` Set value of attribute text:journal.
`void` | `setMonth(String month)` Set value of attribute text:month.
`void` | `setNote(String note)` Set value of attribute text:note.
`void` | `setNumber(String number)` Set value of attribute text:number.
`void` | `setOrganizations(String organizations)` Set value of attribute text:organizations.
`void` | `setPages(String pages)` Set value of attribute text:pages.
`void` | `setPublisher(String publisher)` Set value of attribute text:publisher.
`void` | `setReportType(String reportType)` Set value of attribute text:report-type.
`void` | `setSchool(String school)` Set value of attribute text:school.
`void` | `setSeries(String series)` Set value of attribute text:series.
`void` | `setTitle(String title)` Set value of attribute text:title.
`void` | `setUrl(String url)` Set value of attribute text:url.
`void` | `setVolume(String volume)` Set value of attribute text:volume.
`void` | `setYear(String year)` Set value of attribute text:year.

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onInsertNode, onRemoveNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### ELEMENT_NAME

    public static final OdfName ELEMENT_NAME

Constructor Detail

### OdfBibliographyMarkElement

    public OdfBibliographyMarkElement(OdfFileDom aOwnerDoc)

  Create the instance of OdfBibliographyMarkElement

  Parameters:
    `aOwnerDoc` - The type is OdfFileDom

Method Detail

### getOdfName

    public OdfName getOdfName()

  Get the element name

  Specified by:
    `getOdfName` in class `OdfElement`
  Returns:
    return the name of element text:bibliography-mark.

### init

    public void init(OdfBibliographyType bibliographyType,
                     String identifier,
                     String address,
                     String annote,
                     String author,
                     String booktitle,
                     String chapter,
                     String edition,
                     String editor,
                     String howpublished,
                     String institution,
                     String journal,
                     String month,
                     String note,
                     String number,
                     String organizations,
                     String pages,
                     String publisher,
                     String school,
                     String series,
                     String title,
                     String reportType,
                     String volume,
                     String year,
                     String url,
                     String custom1,
                     String custom2,
                     String custom3,
                     String custom4,
                     String custom5,
                     String isbn,
                     String issn)

  Initialization of the mandatory attributes of `OdfBibliographyMarkElement`

  Parameters:
    `bibliographyType` - The mandatory attribute text:bibliography-type"
    `identifier` - The mandatory attribute text:identifier"
    `address` - The mandatory attribute text:address"
    `annote` - The mandatory attribute text:annote"
    `author` - The mandatory attribute text:author"
    `booktitle` - The mandatory attribute text:booktitle"
    `chapter` - The mandatory attribute text:chapter"
    `edition` - The mandatory attribute text:edition"
    `editor` - The mandatory attribute text:editor"
    `howpublished` - The mandatory attribute text:howpublished"
    `institution` - The mandatory attribute text:institution"
    `journal` - The mandatory attribute text:journal"
    `month` - The mandatory attribute text:month"
    `note` - The mandatory attribute text:note"
    `number` - The mandatory attribute text:number"
    `organizations` - The mandatory attribute text:organizations"
    `pages` - The mandatory attribute text:pages"
    `publisher` - The mandatory attribute text:publisher"
    `school` - The mandatory attribute text:school"
    `series` - The mandatory attribute text:series"
    `title` - The mandatory attribute text:title"
    `reportType` - The mandatory attribute text:report-type"
    `volume` - The mandatory attribute text:volume"
    `year` - The mandatory attribute text:year"
    `url` - The mandatory attribute text:url"
    `custom1` - The mandatory attribute text:custom1"
    `custom2` - The mandatory attribute text:custom2"
    `custom3` - The mandatory attribute text:custom3"
    `custom4` - The mandatory attribute text:custom4"
    `custom5` - The mandatory attribute text:custom5"
    `isbn` - The mandatory attribute text:isbn"
    `issn` - The mandatory attribute text:issn"

### getBibliographyType

    public OdfBibliographyType getBibliographyType()

  Get value of attribute text:bibliography-type.

  Returns:
    return the attribute which type is OdfBibliographyType

### setBibliographyType

    public void setBibliographyType(OdfBibliographyType bibliographyType)

  Set value of attribute text:bibliography-type.

  Parameters:
    `bibliographyType` - the attribute's type is OdfBibliographyType

### getIdentifier

    public String getIdentifier()

  Get value of attribute text:identifier.

  Returns:
    return the attribute which type is String

### setIdentifier

    public void setIdentifier(String identifier)

  Set value of attribute text:identifier.

  Parameters:
    `identifier` - the attribute's type is String

### getAddress

    public String getAddress()

  Get value of attribute text:address.

  Returns:
    return the attribute which type is String

### setAddress

    public void setAddress(String address)

  Set value of attribute text:address.

  Parameters:
    `address` - the attribute's type is String

### getAnnote

    public String getAnnote()

  Get value of attribute text:annote.

  Returns:
    return the attribute which type is String

### setAnnote

    public void setAnnote(String annote)

  Set value of attribute text:annote.

  Parameters:
    `annote` - the attribute's type is String

### getAuthor

    public String getAuthor()

  Get value of attribute text:author.

  Returns:
    return the attribute which type is String

### setAuthor

    public void setAuthor(String author)

  Set value of attribute text:author.

  Parameters:
    `author` - the attribute's type is String

### getBooktitle

    public String getBooktitle()

  Get value of attribute text:booktitle.

  Returns:
    return the attribute which type is String

### setBooktitle

    public void setBooktitle(String booktitle)

  Set value of attribute text:booktitle.

  Parameters:
    `booktitle` - the attribute's type is String

### getChapter

    public String getChapter()

  Get value of attribute text:chapter.

  Returns:
    return the attribute which type is String

### setChapter

    public void setChapter(String chapter)

  Set value of attribute text:chapter.

  Parameters:
    `chapter` - the attribute's type is String

### getEdition

    public String getEdition()

  Get value of attribute text:edition.

  Returns:
    return the attribute which type is String

### setEdition

    public void setEdition(String edition)

  Set value of attribute text:edition.

  Parameters:
    `edition` - the attribute's type is String

### getEditor

    public String getEditor()

  Get value of attribute text:editor.

  Returns:
    return the attribute which type is String

### setEditor

    public void setEditor(String editor)

  Set value of attribute text:editor.

  Parameters:
    `editor` - the attribute's type is String

### getHowpublished

    public String getHowpublished()

  Get value of attribute text:howpublished.

  Returns:
    return the attribute which type is String

### setHowpublished

    public void setHowpublished(String howpublished)

  Set value of attribute text:howpublished.

  Parameters:
    `howpublished` - the attribute's type is String

### getInstitution

    public String getInstitution()

  Get value of attribute text:institution.

  Returns:
    return the attribute which type is String

### setInstitution

    public void setInstitution(String institution)

  Set value of attribute text:institution.

  Parameters:
    `institution` - the attribute's type is String

### getJournal

    public String getJournal()

  Get value of attribute text:journal.

  Returns:
    return the attribute which type is String

### setJournal

    public void setJournal(String journal)

  Set value of attribute text:journal.

  Parameters:
    `journal` - the attribute's type is String

### getMonth

    public String getMonth()

  Get value of attribute text:month.

  Returns:
    return the attribute which type is String

### setMonth

    public void setMonth(String month)

  Set value of attribute text:month.

  Parameters:
    `month` - the attribute's type is String

### getNote

    public String getNote()

  Get value of attribute text:note.

  Returns:
    return the attribute which type is String

### setNote

    public void setNote(String note)

  Set value of attribute text:note.

  Parameters:
    `note` - the attribute's type is String

### getNumber

    public String getNumber()

  Get value of attribute text:number.

  Returns:
    return the attribute which type is String

### setNumber

    public void setNumber(String number)

  Set value of attribute text:number.

  Parameters:
    `number` - the attribute's type is String

### getOrganizations

    public String getOrganizations()

  Get value of attribute text:organizations.

  Returns:
    return the attribute which type is String

### setOrganizations

    public void setOrganizations(String organizations)

  Set value of attribute text:organizations.

  Parameters:
    `organizations` - the attribute's type is String

### getPages

    public String getPages()

  Get value of attribute text:pages.

  Returns:
    return the attribute which type is String

### setPages

    public void setPages(String pages)

  Set value of attribute text:pages.

  Parameters:
    `pages` - the attribute's type is String

### getPublisher

    public String getPublisher()

  Get value of attribute text:publisher.

  Returns:
    return the attribute which type is String

### setPublisher

    public void setPublisher(String publisher)

  Set value of attribute text:publisher.

  Parameters:
    `publisher` - the attribute's type is String

### getSchool

    public String getSchool()

  Get value of attribute text:school.

  Returns:
    return the attribute which type is String

### setSchool

    public void setSchool(String school)

  Set value of attribute text:school.

  Parameters:
    `school` - the attribute's type is String

### getSeries

    public String getSeries()

  Get value of attribute text:series.

  Returns:
    return the attribute which type is String

### setSeries

    public void setSeries(String series)

  Set value of attribute text:series.

  Parameters:
    `series` - the attribute's type is String

### getTitle

    public String getTitle()

  Get value of attribute text:title.

  Returns:
    return the attribute which type is String

### setTitle

    public void setTitle(String title)

  Set value of attribute text:title.

  Parameters:
    `title` - the attribute's type is String

### getReportType

    public String getReportType()

  Get value of attribute text:report-type.

  Returns:
    return the attribute which type is String

### setReportType

    public void setReportType(String reportType)

  Set value of attribute text:report-type.

  Parameters:
    `reportType` - the attribute's type is String

### getVolume

    public String getVolume()

  Get value of attribute text:volume.

  Returns:
    return the attribute which type is String

### setVolume

    public void setVolume(String volume)

  Set value of attribute text:volume.

  Parameters:
    `volume` - the attribute's type is String

### getYear

    public String getYear()

  Get value of attribute text:year.

  Returns:
    return the attribute which type is String

### setYear

    public void setYear(String year)

  Set value of attribute text:year.

  Parameters:
    `year` - the attribute's type is String

### getUrl

    public String getUrl()

  Get value of attribute text:url.

  Returns:
    return the attribute which type is String

### setUrl

    public void setUrl(String url)

  Set value of attribute text:url.

  Parameters:
    `url` - the attribute's type is String

### getCustom1

    public String getCustom1()

  Get value of attribute text:custom1.

  Returns:
    return the attribute which type is String

### setCustom1

    public void setCustom1(String custom1)

  Set value of attribute text:custom1.

  Parameters:
    `custom1` - the attribute's type is String

### getCustom2

    public String getCustom2()

  Get value of attribute text:custom2.

  Returns:
    return the attribute which type is String

### setCustom2

    public void setCustom2(String custom2)

  Set value of attribute text:custom2.

  Parameters:
    `custom2` - the attribute's type is String

### getCustom3

    public String getCustom3()

  Get value of attribute text:custom3.

  Returns:
    return the attribute which type is String

### setCustom3

    public void setCustom3(String custom3)

  Set value of attribute text:custom3.

  Parameters:
    `custom3` - the attribute's type is String

### getCustom4

    public String getCustom4()

  Get value of attribute text:custom4.

  Returns:
    return the attribute which type is String

### setCustom4

    public void setCustom4(String custom4)

  Set value of attribute text:custom4.

  Parameters:
    `custom4` - the attribute's type is String

### getCustom5

    public String getCustom5()

  Get value of attribute text:custom5.

  Returns:
    return the attribute which type is String

### setCustom5

    public void setCustom5(String custom5)

  Set value of attribute text:custom5.

  Parameters:
    `custom5` - the attribute's type is String

### getIsbn

    public String getIsbn()

  Get value of attribute text:isbn.

  Returns:
    return the attribute which type is String

### setIsbn

    public void setIsbn(String isbn)

  Set value of attribute text:isbn.

  Parameters:
    `isbn` - the attribute's type is String

### getIssn

    public String getIssn()

  Get value of attribute text:issn.

  Returns:
    return the attribute which type is String

### setIssn

    public void setIssn(String issn)

  Set value of attribute text:issn.

  Parameters:
    `issn` - the attribute's type is String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.